# Package org.eclipse.rap.fileupload

Interface Summary
Interface | Description
--- | ---
FileDetails | Provides details of the uploaded file like file name, content-type and size
FileUploadListener | Listener to react on progress and completion of a file upload.

Class Summary
Class | Description
--- | ---
DiskFileUploadReceiver | A file upload receiver that stores received files on disk.
FileUploadEvent | Event object that provides information on a file upload.
FileUploadHandler | A file upload handler is used to accept file uploads from a client.
FileUploadReceiver | Instances of this interface are responsible for reading and processing the data from a file upload.

Exception Summary
Exception | Description
--- | ---
UploadSizeLimitExceededException |
UploadTimeLimitExceededException |

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0